/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/ContainerContract.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:56:55
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttContainerContract BEFORE-TABLE bttContainerContract
    FIELD act_dt_move LIKE ec-container_contract.act_dt_move
    FIELD act_locationcode LIKE ec-container_contract.act_locationcode
    FIELD act_statuscode LIKE ec-container_contract.act_statuscode
    FIELD companycode LIKE ec-container_contract.companycode
    FIELD containernr LIKE ec-container_contract.containernr
    FIELD containerprefix LIKE ec-container_contract.containerprefix
    FIELD contractcode LIKE ec-container_contract.contractcode
    FIELD costcode LIKE ec-container_contract.costcode
    FIELD dt_contract LIKE ec-container_contract.dt_contract
    FIELD dt_offhire LIKE ec-container_contract.dt_offhire
    FIELD dt_rent_paid LIKE ec-container_contract.dt_rent_paid
    FIELD dt_start LIKE ec-container_contract.dt_start
    FIELD ind_invoiced LIKE ec-container_contract.ind_invoiced
    FIELD ind_to_be_invoiced LIKE ec-container_contract.ind_to_be_invoiced
    FIELD invoice_remarks LIKE ec-container_contract.invoice_remarks
    FIELD run_seqnr LIKE ec-container_contract.run_seqnr
    FIELD sale_loss LIKE ec-container_contract.sale_loss
    FIELD sale_loss_addressnr LIKE ec-container_contract.sale_loss_addressnr
    FIELD sale_loss_amount LIKE ec-container_contract.sale_loss_amount
    FIELD sale_loss_currencycode LIKE ec-container_contract.sale_loss_currencycode
    FIELD typecode LIKE ec-container_contract.typecode
    FIELD xref_contract_des AS CHARACTER LABEL "Description"
    FIELD xref_lease_type AS CHARACTER LABEL "Lease type"
    FIELD xref_leasing_company AS CHARACTER LABEL "Leasing company"
    FIELD xref_sale_name AS CHARACTER LABEL "Sale/Claim to"
.

DEFINE DATASET dsContainerContract FOR ttContainerContract.