/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/RepairContainer.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:28
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttRepairContainer BEFORE-TABLE bttRepairContainer
    FIELD amount_part LIKE ec-repair-container.amount_part
    FIELD approved LIKE ec-repair-container.approved
    FIELD calc_costs AS DECIMAL LABEL "Costs"
    FIELD calc_estimate_chain AS CHARACTER LABEL "Estimate chain"
    FIELD calc_revision_item AS INTEGER LABEL "Revision item"
    FIELD calc_revision_total AS INTEGER LABEL "Revition total"
    FIELD calc_total_costs AS DECIMAL LABEL "Total"
    FIELD claimed_client LIKE ec-repair-container.claimed_client
    FIELD claimed_insurance LIKE ec-repair-container.claimed_insurance
    FIELD claimed_lease LIKE ec-repair-container.claimed_lease
    FIELD companycode LIKE ec-repair-container.companycode
    FIELD containernr LIKE ec-repair-container.containernr
    FIELD containerprefix LIKE ec-repair-container.containerprefix
    FIELD currencycode LIKE ec-repair-container.currencycode
    FIELD cust_addressnr LIKE ec-repair-container.cust_addressnr
    FIELD des LIKE ec-repair-container.des
    FIELD dt_invoice LIKE ec-repair-container.dt_invoice
    FIELD dt_invoice_survey LIKE ec-repair-container.dt_invoice_survey
    FIELD dt_out_repair LIKE ec-repair-container.dt_out_repair
    FIELD dt_repair LIKE ec-repair-container.dt_repair
    FIELD edi-component-code LIKE ec-repair-container.edi-component-code SERIALIZE-NAME "edi_component_code"
    FIELD edi-component-material LIKE ec-repair-container.edi-component-material SERIALIZE-NAME "edi_component_material"
    FIELD edi-damage-code LIKE ec-repair-container.edi-damage-code SERIALIZE-NAME "edi_damage_code"
    FIELD edi-height LIKE ec-repair-container.edi-height SERIALIZE-NAME "edi_height"
    FIELD edi-length LIKE ec-repair-container.edi-length SERIALIZE-NAME "edi_length"
    FIELD edi-location LIKE ec-repair-container.edi-location SERIALIZE-NAME "edi_location"
    FIELD edi-reair-code LIKE ec-repair-container.edi-reair-code SERIALIZE-NAME "edi_reair_code"
    FIELD edi-width LIKE ec-repair-container.edi-width SERIALIZE-NAME "edi_width"
    FIELD edi_filename LIKE ec-repair-container.edi_filename
    FIELD estimateno LIKE ec-repair-container.estimateno
    FIELD hours LIKE ec-repair-container.hours
    FIELD hrs_time LIKE ec-repair-container.hrs_time
    FIELD invoice LIKE ec-repair-container.invoice
    FIELD invoice_survey LIKE ec-repair-container.invoice_survey
    FIELD locationcode LIKE ec-repair-container.locationcode
    FIELD partcode LIKE ec-repair-container.partcode
    FIELD repair_refnr LIKE ec-repair-container.repair_refnr
    FIELD repairshopcode LIKE ec-repair-container.repairshopcode
    FIELD repairstatus LIKE ec-repair-container.repairstatus
    FIELD repairtypecode LIKE ec-repair-container.repairtypecode
    FIELD revisionno LIKE ec-repair-container.revisionno
    FIELD survey LIKE ec-repair-container.survey
    FIELD survey_costs LIKE ec-repair-container.survey_costs
    FIELD survey_currency LIKE ec-repair-container.survey_currency
    FIELD surveynr LIKE ec-repair-container.surveynr
    FIELD tariff_hour LIKE ec-repair-container.tariff_hour
    FIELD tariff_hour-2 LIKE ec-repair-container.tariff_hour-2 INITIAL 0 FORMAT "->>>,>>9.99" SERIALIZE-NAME "tariff_hour_2"
    FIELD tariff_part LIKE ec-repair-container.tariff_part
    FIELD weartear LIKE ec-repair-container.weartear
    FIELD xref_container_type AS CHARACTER LABEL "Type"
    FIELD xref_part AS CHARACTER LABEL "Part"
    FIELD xref_status AS CHARACTER LABEL "Status"
.

DEFINE DATASET dsRepairContainer FOR ttRepairContainer.